#include <stdio.h>
#include <stdlib.h>

int main()
{
    int i,m,k,n,t,potrebno;
    scanf("%d",&t);
    for(i=1;i<=t;i++){
        scanf("%d%d%d",&n,&m,&k);
        potrebno=(k-n%k)*((n/k)*(n/k + 1)/2)+(n%k)*((n/k + 1)*(n/k + 2)/2);
        if(potrebno<=m){
            printf("Tak\n");
        }
        else{
            printf("Nie\n");
        }
    }
    return 0;
}